400
invalid_requestThe request did not satisfy the documented contract.
Beladed Livestream API
Details - Create through the reviewed Beladed Livestream contract.
/api/video/details/createcurl --request POST 'https://api.beladed.dev/api/video/details/create' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Beladed-API-Key: BELADED_SECRET_KEY' \
--data '{
"channelId": "id_demo_001",
"categoryId": "id_demo_001",
"subCategoryId": "id_demo_001",
"streamType": "Live",
"searchType": "Game",
"title": "Fortune's Basketball Challenge, Fortune",
"description": "Basketball game featuring amazing plays and challenges.",
"tags": [
"basketball",
"game"
],
"started": false,
"paused": false,
"stopped": false,
"scheduleDate": "2024-02-01",
"scheduleTime": "18:00:00",
"streamHours": 1,
"coverPhotoUrl": "basketball-cover-url.jpg",
"voteTokenQuantity": 100,
"votingTimeReset": "5",
"voteButtonQuantity": 4,
"voteButtonText1": "Layup",
"voteButtonText2": "Dunk",
"voteButtonText3": "3 Point",
"voteButtonText4": "Free Throw",
"isVoteResultsVisible": true,
"isRewardsEnabled": false,
"isTournamentEnabled": true,
"isPlayerTournament": false,
"isTeamTournament": false,
"tournamentButtonText1": "Hit",
"tournamentButtonText2": "Miss",
"streamPlaybackUrl": "basketball-stream-url",
"streamLocatorName": "basketball-locator-name",
"streamAssetName": "basketball-asset-name",
"platformPlaybackUrls": [
"https://merchant.example.invalid",
"https://merchant.example.invalid"
],
"platformEventUrls": [
"https://merchant.example.invalid",
"https://merchant.example.invalid"
],
"primaryCameraName": "Sony 4K Ultra HD WebCam",
"primaryMicrophoneName": "tel_demo_contact",
"primarySpeakerName": "Bose-Mega-Speaker 2.0",
"additionalCameras": [
{
"camera": "camera-2",
"microphone": "tel_demo_contact"
},
{
"camera": "camera-3",
"microphone": "tel_demo_contact"
}
]
}'const response = await fetch("https://api.beladed.dev/api/video/details/create", {
method: "POST",
headers: {
"Accept": "application/json",
"Content-Type": "application/json",
"X-Beladed-API-Key": "BELADED_SECRET_KEY"
},
body: JSON.stringify({
"channelId": "id_demo_001",
"categoryId": "id_demo_001",
"subCategoryId": "id_demo_001",
"streamType": "Live",
"searchType": "Game",
"title": "Fortune's Basketball Challenge, Fortune",
"description": "Basketball game featuring amazing plays and challenges.",
"tags": [
"basketball",
"game"
],
"started": false,
"paused": false,
"stopped": false,
"scheduleDate": "2024-02-01",
"scheduleTime": "18:00:00",
"streamHours": 1,
"coverPhotoUrl": "basketball-cover-url.jpg",
"voteTokenQuantity": 100,
"votingTimeReset": "5",
"voteButtonQuantity": 4,
"voteButtonText1": "Layup",
"voteButtonText2": "Dunk",
"voteButtonText3": "3 Point",
"voteButtonText4": "Free Throw",
"isVoteResultsVisible": true,
"isRewardsEnabled": false,
"isTournamentEnabled": true,
"isPlayerTournament": false,
"isTeamTournament": false,
"tournamentButtonText1": "Hit",
"tournamentButtonText2": "Miss",
"streamPlaybackUrl": "basketball-stream-url",
"streamLocatorName": "basketball-locator-name",
"streamAssetName": "basketball-asset-name",
"platformPlaybackUrls": [
"https://merchant.example.invalid",
"https://merchant.example.invalid"
],
"platformEventUrls": [
"https://merchant.example.invalid",
"https://merchant.example.invalid"
],
"primaryCameraName": "Sony 4K Ultra HD WebCam",
"primaryMicrophoneName": "tel_demo_contact",
"primarySpeakerName": "Bose-Mega-Speaker 2.0",
"additionalCameras": [
{
"camera": "camera-2",
"microphone": "tel_demo_contact"
},
{
"camera": "camera-3",
"microphone": "tel_demo_contact"
}
]
})
});
const data = await response.json();import requests
response = requests.request(
"POST",
"https://api.beladed.dev/api/video/details/create",
headers={"Accept":"application/json","Content-Type":"application/json","X-Beladed-API-Key":"BELADED_SECRET_KEY"},
json={
"channelId": "id_demo_001",
"categoryId": "id_demo_001",
"subCategoryId": "id_demo_001",
"streamType": "Live",
"searchType": "Game",
"title": "Fortune's Basketball Challenge, Fortune",
"description": "Basketball game featuring amazing plays and challenges.",
"tags": [
"basketball",
"game"
],
"started": false,
"paused": false,
"stopped": false,
"scheduleDate": "2024-02-01",
"scheduleTime": "18:00:00",
"streamHours": 1,
"coverPhotoUrl": "basketball-cover-url.jpg",
"voteTokenQuantity": 100,
"votingTimeReset": "5",
"voteButtonQuantity": 4,
"voteButtonText1": "Layup",
"voteButtonText2": "Dunk",
"voteButtonText3": "3 Point",
"voteButtonText4": "Free Throw",
"isVoteResultsVisible": true,
"isRewardsEnabled": false,
"isTournamentEnabled": true,
"isPlayerTournament": false,
"isTeamTournament": false,
"tournamentButtonText1": "Hit",
"tournamentButtonText2": "Miss",
"streamPlaybackUrl": "basketball-stream-url",
"streamLocatorName": "basketball-locator-name",
"streamAssetName": "basketball-asset-name",
"platformPlaybackUrls": [
"https://merchant.example.invalid",
"https://merchant.example.invalid"
],
"platformEventUrls": [
"https://merchant.example.invalid",
"https://merchant.example.invalid"
],
"primaryCameraName": "Sony 4K Ultra HD WebCam",
"primaryMicrophoneName": "tel_demo_contact",
"primarySpeakerName": "Bose-Mega-Speaker 2.0",
"additionalCameras": [
{
"camera": "camera-2",
"microphone": "tel_demo_contact"
},
{
"camera": "camera-3",
"microphone": "tel_demo_contact"
}
]
},
timeout=30,
)
response.raise_for_status()
data = response.json()<?php
$client = curl_init("https://api.beladed.dev/api/video/details/create");
curl_setopt_array($client, [
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => ["Accept: application/json","Content-Type: application/json","X-Beladed-API-Key: BELADED_SECRET_KEY"],
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POSTFIELDS => json_encode({
"channelId": "id_demo_001",
"categoryId": "id_demo_001",
"subCategoryId": "id_demo_001",
"streamType": "Live",
"searchType": "Game",
"title": "Fortune's Basketball Challenge, Fortune",
"description": "Basketball game featuring amazing plays and challenges.",
"tags": [
"basketball",
"game"
],
"started": false,
"paused": false,
"stopped": false,
"scheduleDate": "2024-02-01",
"scheduleTime": "18:00:00",
"streamHours": 1,
"coverPhotoUrl": "basketball-cover-url.jpg",
"voteTokenQuantity": 100,
"votingTimeReset": "5",
"voteButtonQuantity": 4,
"voteButtonText1": "Layup",
"voteButtonText2": "Dunk",
"voteButtonText3": "3 Point",
"voteButtonText4": "Free Throw",
"isVoteResultsVisible": true,
"isRewardsEnabled": false,
"isTournamentEnabled": true,
"isPlayerTournament": false,
"isTeamTournament": false,
"tournamentButtonText1": "Hit",
"tournamentButtonText2": "Miss",
"streamPlaybackUrl": "basketball-stream-url",
"streamLocatorName": "basketball-locator-name",
"streamAssetName": "basketball-asset-name",
"platformPlaybackUrls": [
"https://merchant.example.invalid",
"https://merchant.example.invalid"
],
"platformEventUrls": [
"https://merchant.example.invalid",
"https://merchant.example.invalid"
],
"primaryCameraName": "Sony 4K Ultra HD WebCam",
"primaryMicrophoneName": "tel_demo_contact",
"primarySpeakerName": "Bose-Mega-Speaker 2.0",
"additionalCameras": [
{
"camera": "camera-2",
"microphone": "tel_demo_contact"
},
{
"camera": "camera-3",
"microphone": "tel_demo_contact"
}
]
}),
]);
$response = curl_exec($client);require "net/http"
require "json"
uri = URI("https://api.beladed.dev/api/video/details/create")
request = Net::HTTP::Post.new(uri)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request["X-Beladed-API-Key"] = "BELADED_SECRET_KEY"
request.body = "{\n \"channelId\": \"id_demo_001\",\n \"categoryId\": \"id_demo_001\",\n \"subCategoryId\": \"id_demo_001\",\n \"streamType\": \"Live\",\n \"searchType\": \"Game\",\n \"title\": \"Fortune's Basketball Challenge, Fortune\",\n \"description\": \"Basketball game featuring amazing plays and challenges.\",\n \"tags\": [\n \"basketball\",\n \"game\"\n ],\n \"started\": false,\n \"paused\": false,\n \"stopped\": false,\n \"scheduleDate\": \"2024-02-01\",\n \"scheduleTime\": \"18:00:00\",\n \"streamHours\": 1,\n \"coverPhotoUrl\": \"basketball-cover-url.jpg\",\n \"voteTokenQuantity\": 100,\n \"votingTimeReset\": \"5\",\n \"voteButtonQuantity\": 4,\n \"voteButtonText1\": \"Layup\",\n \"voteButtonText2\": \"Dunk\",\n \"voteButtonText3\": \"3 Point\",\n \"voteButtonText4\": \"Free Throw\",\n \"isVoteResultsVisible\": true,\n \"isRewardsEnabled\": false,\n \"isTournamentEnabled\": true,\n \"isPlayerTournament\": false,\n \"isTeamTournament\": false,\n \"tournamentButtonText1\": \"Hit\",\n \"tournamentButtonText2\": \"Miss\",\n \"streamPlaybackUrl\": \"basketball-stream-url\",\n \"streamLocatorName\": \"basketball-locator-name\",\n \"streamAssetName\": \"basketball-asset-name\",\n \"platformPlaybackUrls\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"platformEventUrls\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"primaryCameraName\": \"Sony 4K Ultra HD WebCam\",\n \"primaryMicrophoneName\": \"tel_demo_contact\",\n \"primarySpeakerName\": \"Bose-Mega-Speaker 2.0\",\n \"additionalCameras\": [\n {\n \"camera\": \"camera-2\",\n \"microphone\": \"tel_demo_contact\"\n },\n {\n \"camera\": \"camera-3\",\n \"microphone\": \"tel_demo_contact\"\n }\n ]\n}"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(request) }var request = java.net.http.HttpRequest.newBuilder()
.uri(java.net.URI.create("https://api.beladed.dev/api/video/details/create"))
.header("Accept", "application/json")
.header("Content-Type", "application/json")
.header("X-Beladed-API-Key", "BELADED_SECRET_KEY")
.method("POST", java.net.http.HttpRequest.BodyPublishers.ofString("{\n \"channelId\": \"id_demo_001\",\n \"categoryId\": \"id_demo_001\",\n \"subCategoryId\": \"id_demo_001\",\n \"streamType\": \"Live\",\n \"searchType\": \"Game\",\n \"title\": \"Fortune's Basketball Challenge, Fortune\",\n \"description\": \"Basketball game featuring amazing plays and challenges.\",\n \"tags\": [\n \"basketball\",\n \"game\"\n ],\n \"started\": false,\n \"paused\": false,\n \"stopped\": false,\n \"scheduleDate\": \"2024-02-01\",\n \"scheduleTime\": \"18:00:00\",\n \"streamHours\": 1,\n \"coverPhotoUrl\": \"basketball-cover-url.jpg\",\n \"voteTokenQuantity\": 100,\n \"votingTimeReset\": \"5\",\n \"voteButtonQuantity\": 4,\n \"voteButtonText1\": \"Layup\",\n \"voteButtonText2\": \"Dunk\",\n \"voteButtonText3\": \"3 Point\",\n \"voteButtonText4\": \"Free Throw\",\n \"isVoteResultsVisible\": true,\n \"isRewardsEnabled\": false,\n \"isTournamentEnabled\": true,\n \"isPlayerTournament\": false,\n \"isTeamTournament\": false,\n \"tournamentButtonText1\": \"Hit\",\n \"tournamentButtonText2\": \"Miss\",\n \"streamPlaybackUrl\": \"basketball-stream-url\",\n \"streamLocatorName\": \"basketball-locator-name\",\n \"streamAssetName\": \"basketball-asset-name\",\n \"platformPlaybackUrls\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"platformEventUrls\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"primaryCameraName\": \"Sony 4K Ultra HD WebCam\",\n \"primaryMicrophoneName\": \"tel_demo_contact\",\n \"primarySpeakerName\": \"Bose-Mega-Speaker 2.0\",\n \"additionalCameras\": [\n {\n \"camera\": \"camera-2\",\n \"microphone\": \"tel_demo_contact\"\n },\n {\n \"camera\": \"camera-3\",\n \"microphone\": \"tel_demo_contact\"\n }\n ]\n}"))
.build();
var response = java.net.http.HttpClient.newHttpClient().send(request, java.net.http.HttpResponse.BodyHandlers.ofString());package main
import (
"bytes"
"net/http"
)
func callBeladed() (*http.Response, error) {
body := []byte("{\n \"channelId\": \"id_demo_001\",\n \"categoryId\": \"id_demo_001\",\n \"subCategoryId\": \"id_demo_001\",\n \"streamType\": \"Live\",\n \"searchType\": \"Game\",\n \"title\": \"Fortune's Basketball Challenge, Fortune\",\n \"description\": \"Basketball game featuring amazing plays and challenges.\",\n \"tags\": [\n \"basketball\",\n \"game\"\n ],\n \"started\": false,\n \"paused\": false,\n \"stopped\": false,\n \"scheduleDate\": \"2024-02-01\",\n \"scheduleTime\": \"18:00:00\",\n \"streamHours\": 1,\n \"coverPhotoUrl\": \"basketball-cover-url.jpg\",\n \"voteTokenQuantity\": 100,\n \"votingTimeReset\": \"5\",\n \"voteButtonQuantity\": 4,\n \"voteButtonText1\": \"Layup\",\n \"voteButtonText2\": \"Dunk\",\n \"voteButtonText3\": \"3 Point\",\n \"voteButtonText4\": \"Free Throw\",\n \"isVoteResultsVisible\": true,\n \"isRewardsEnabled\": false,\n \"isTournamentEnabled\": true,\n \"isPlayerTournament\": false,\n \"isTeamTournament\": false,\n \"tournamentButtonText1\": \"Hit\",\n \"tournamentButtonText2\": \"Miss\",\n \"streamPlaybackUrl\": \"basketball-stream-url\",\n \"streamLocatorName\": \"basketball-locator-name\",\n \"streamAssetName\": \"basketball-asset-name\",\n \"platformPlaybackUrls\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"platformEventUrls\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"primaryCameraName\": \"Sony 4K Ultra HD WebCam\",\n \"primaryMicrophoneName\": \"tel_demo_contact\",\n \"primarySpeakerName\": \"Bose-Mega-Speaker 2.0\",\n \"additionalCameras\": [\n {\n \"camera\": \"camera-2\",\n \"microphone\": \"tel_demo_contact\"\n },\n {\n \"camera\": \"camera-3\",\n \"microphone\": \"tel_demo_contact\"\n }\n ]\n}")
request, err := http.NewRequest("POST", "https://api.beladed.dev/api/video/details/create", bytes.NewReader(body))
if err != nil { return nil, err }
request.Header.Set("Accept", "application/json")
request.Header.Set("Content-Type", "application/json")
request.Header.Set("X-Beladed-API-Key", "BELADED_SECRET_KEY")
return http.DefaultClient.Do(request)
}using var client = new HttpClient();
using var request = new HttpRequestMessage(new HttpMethod("POST"), "https://api.beladed.dev/api/video/details/create");
request.Headers.TryAddWithoutValidation("Accept", "application/json");
request.Headers.TryAddWithoutValidation("Content-Type", "application/json");
request.Headers.TryAddWithoutValidation("X-Beladed-API-Key", "BELADED_SECRET_KEY");
request.Content = new StringContent("{\n \"channelId\": \"id_demo_001\",\n \"categoryId\": \"id_demo_001\",\n \"subCategoryId\": \"id_demo_001\",\n \"streamType\": \"Live\",\n \"searchType\": \"Game\",\n \"title\": \"Fortune's Basketball Challenge, Fortune\",\n \"description\": \"Basketball game featuring amazing plays and challenges.\",\n \"tags\": [\n \"basketball\",\n \"game\"\n ],\n \"started\": false,\n \"paused\": false,\n \"stopped\": false,\n \"scheduleDate\": \"2024-02-01\",\n \"scheduleTime\": \"18:00:00\",\n \"streamHours\": 1,\n \"coverPhotoUrl\": \"basketball-cover-url.jpg\",\n \"voteTokenQuantity\": 100,\n \"votingTimeReset\": \"5\",\n \"voteButtonQuantity\": 4,\n \"voteButtonText1\": \"Layup\",\n \"voteButtonText2\": \"Dunk\",\n \"voteButtonText3\": \"3 Point\",\n \"voteButtonText4\": \"Free Throw\",\n \"isVoteResultsVisible\": true,\n \"isRewardsEnabled\": false,\n \"isTournamentEnabled\": true,\n \"isPlayerTournament\": false,\n \"isTeamTournament\": false,\n \"tournamentButtonText1\": \"Hit\",\n \"tournamentButtonText2\": \"Miss\",\n \"streamPlaybackUrl\": \"basketball-stream-url\",\n \"streamLocatorName\": \"basketball-locator-name\",\n \"streamAssetName\": \"basketball-asset-name\",\n \"platformPlaybackUrls\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"platformEventUrls\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"primaryCameraName\": \"Sony 4K Ultra HD WebCam\",\n \"primaryMicrophoneName\": \"tel_demo_contact\",\n \"primarySpeakerName\": \"Bose-Mega-Speaker 2.0\",\n \"additionalCameras\": [\n {\n \"camera\": \"camera-2\",\n \"microphone\": \"tel_demo_contact\"\n },\n {\n \"camera\": \"camera-3\",\n \"microphone\": \"tel_demo_contact\"\n }\n ]\n}", System.Text.Encoding.UTF8, "application/json");
using var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();var request = URLRequest(url: URL(string: "https://api.beladed.dev/api/video/details/create")!)
request.httpMethod = "POST"
request.setValue("application/json", forHTTPHeaderField: "Accept")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.setValue("BELADED_SECRET_KEY", forHTTPHeaderField: "X-Beladed-API-Key")
request.httpBody = "{\n \"channelId\": \"id_demo_001\",\n \"categoryId\": \"id_demo_001\",\n \"subCategoryId\": \"id_demo_001\",\n \"streamType\": \"Live\",\n \"searchType\": \"Game\",\n \"title\": \"Fortune's Basketball Challenge, Fortune\",\n \"description\": \"Basketball game featuring amazing plays and challenges.\",\n \"tags\": [\n \"basketball\",\n \"game\"\n ],\n \"started\": false,\n \"paused\": false,\n \"stopped\": false,\n \"scheduleDate\": \"2024-02-01\",\n \"scheduleTime\": \"18:00:00\",\n \"streamHours\": 1,\n \"coverPhotoUrl\": \"basketball-cover-url.jpg\",\n \"voteTokenQuantity\": 100,\n \"votingTimeReset\": \"5\",\n \"voteButtonQuantity\": 4,\n \"voteButtonText1\": \"Layup\",\n \"voteButtonText2\": \"Dunk\",\n \"voteButtonText3\": \"3 Point\",\n \"voteButtonText4\": \"Free Throw\",\n \"isVoteResultsVisible\": true,\n \"isRewardsEnabled\": false,\n \"isTournamentEnabled\": true,\n \"isPlayerTournament\": false,\n \"isTeamTournament\": false,\n \"tournamentButtonText1\": \"Hit\",\n \"tournamentButtonText2\": \"Miss\",\n \"streamPlaybackUrl\": \"basketball-stream-url\",\n \"streamLocatorName\": \"basketball-locator-name\",\n \"streamAssetName\": \"basketball-asset-name\",\n \"platformPlaybackUrls\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"platformEventUrls\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"primaryCameraName\": \"Sony 4K Ultra HD WebCam\",\n \"primaryMicrophoneName\": \"tel_demo_contact\",\n \"primarySpeakerName\": \"Bose-Mega-Speaker 2.0\",\n \"additionalCameras\": [\n {\n \"camera\": \"camera-2\",\n \"microphone\": \"tel_demo_contact\"\n },\n {\n \"camera\": \"camera-3\",\n \"microphone\": \"tel_demo_contact\"\n }\n ]\n}".data(using: .utf8)
let (data, response) = try await URLSession.shared.data(for: request)val request = okhttp3.Request.Builder()
.url("https://api.beladed.dev/api/video/details/create")
.addHeader("Accept", "application/json")
.addHeader("Content-Type", "application/json")
.addHeader("X-Beladed-API-Key", "BELADED_SECRET_KEY")
.method("POST", okhttp3.RequestBody.create(okhttp3.MediaType.get("application/json"), "{\n \"channelId\": \"id_demo_001\",\n \"categoryId\": \"id_demo_001\",\n \"subCategoryId\": \"id_demo_001\",\n \"streamType\": \"Live\",\n \"searchType\": \"Game\",\n \"title\": \"Fortune's Basketball Challenge, Fortune\",\n \"description\": \"Basketball game featuring amazing plays and challenges.\",\n \"tags\": [\n \"basketball\",\n \"game\"\n ],\n \"started\": false,\n \"paused\": false,\n \"stopped\": false,\n \"scheduleDate\": \"2024-02-01\",\n \"scheduleTime\": \"18:00:00\",\n \"streamHours\": 1,\n \"coverPhotoUrl\": \"basketball-cover-url.jpg\",\n \"voteTokenQuantity\": 100,\n \"votingTimeReset\": \"5\",\n \"voteButtonQuantity\": 4,\n \"voteButtonText1\": \"Layup\",\n \"voteButtonText2\": \"Dunk\",\n \"voteButtonText3\": \"3 Point\",\n \"voteButtonText4\": \"Free Throw\",\n \"isVoteResultsVisible\": true,\n \"isRewardsEnabled\": false,\n \"isTournamentEnabled\": true,\n \"isPlayerTournament\": false,\n \"isTeamTournament\": false,\n \"tournamentButtonText1\": \"Hit\",\n \"tournamentButtonText2\": \"Miss\",\n \"streamPlaybackUrl\": \"basketball-stream-url\",\n \"streamLocatorName\": \"basketball-locator-name\",\n \"streamAssetName\": \"basketball-asset-name\",\n \"platformPlaybackUrls\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"platformEventUrls\": [\n \"https://merchant.example.invalid\",\n \"https://merchant.example.invalid\"\n ],\n \"primaryCameraName\": \"Sony 4K Ultra HD WebCam\",\n \"primaryMicrophoneName\": \"tel_demo_contact\",\n \"primarySpeakerName\": \"Bose-Mega-Speaker 2.0\",\n \"additionalCameras\": [\n {\n \"camera\": \"camera-2\",\n \"microphone\": \"tel_demo_contact\"\n },\n {\n \"camera\": \"camera-3\",\n \"microphone\": \"tel_demo_contact\"\n }\n ]\n}"))
.build()
val response = okhttp3.OkHttpClient().newCall(request).execute()
This operation has no documented parameters.
{
"type": "object",
"properties": {
"channelId": {
"type": "string"
},
"categoryId": {
"type": "string"
},
"subCategoryId": {
"type": "string"
},
"streamType": {
"type": "string"
},
"searchType": {
"type": "string"
},
"title": {
"type": "string"
},
"description": {
"type": "string"
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"started": {
"type": "boolean"
},
"paused": {
"type": "boolean"
},
"stopped": {
"type": "boolean"
},
"scheduleDate": {
"type": "string"
},
"scheduleTime": {
"type": "string"
},
"streamHours": {
"type": "integer"
},
"coverPhotoUrl": {
"type": "string"
},
"voteTokenQuantity": {
"type": "integer"
},
"votingTimeReset": {
"type": "string"
},
"voteButtonQuantity": {
"type": "integer"
},
"voteButtonText1": {
"type": "string"
},
"voteButtonText2": {
"type": "string"
},
"voteButtonText3": {
"type": "string"
},
"voteButtonText4": {
"type": "string"
},
"isVoteResultsVisible": {
"type": "boolean"
},
"isRewardsEnabled": {
"type": "boolean"
},
"isTournamentEnabled": {
"type": "boolean"
},
"isPlayerTournament": {
"type": "boolean"
},
"isTeamTournament": {
"type": "boolean"
},
"tournamentButtonText1": {
"type": "string"
},
"tournamentButtonText2": {
"type": "string"
},
"streamPlaybackUrl": {
"type": "string"
},
"streamLocatorName": {
"type": "string"
},
"streamAssetName": {
"type": "string"
},
"platformPlaybackUrls": {
"type": "array",
"items": {
"type": "string"
}
},
"platformEventUrls": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryCameraName": {
"type": "string"
},
"primaryMicrophoneName": {
"type": "string"
},
"primarySpeakerName": {
"type": "string"
},
"additionalCameras": {
"type": "array",
"items": {
"type": "object",
"properties": {
"camera": {
"type": "string"
},
"microphone": {
"type": "string"
}
}
}
}
}
}{
"channelId": "id_demo_001",
"categoryId": "id_demo_001",
"subCategoryId": "id_demo_001",
"streamType": "Live",
"searchType": "Game",
"title": "Fortune's Basketball Challenge, Fortune",
"description": "Basketball game featuring amazing plays and challenges.",
"tags": [
"basketball",
"game"
],
"started": false,
"paused": false,
"stopped": false,
"scheduleDate": "2024-02-01",
"scheduleTime": "18:00:00",
"streamHours": 1,
"coverPhotoUrl": "basketball-cover-url.jpg",
"voteTokenQuantity": 100,
"votingTimeReset": "5",
"voteButtonQuantity": 4,
"voteButtonText1": "Layup",
"voteButtonText2": "Dunk",
"voteButtonText3": "3 Point",
"voteButtonText4": "Free Throw",
"isVoteResultsVisible": true,
"isRewardsEnabled": false,
"isTournamentEnabled": true,
"isPlayerTournament": false,
"isTeamTournament": false,
"tournamentButtonText1": "Hit",
"tournamentButtonText2": "Miss",
"streamPlaybackUrl": "basketball-stream-url",
"streamLocatorName": "basketball-locator-name",
"streamAssetName": "basketball-asset-name",
"platformPlaybackUrls": [
"https://merchant.example.invalid",
"https://merchant.example.invalid"
],
"platformEventUrls": [
"https://merchant.example.invalid",
"https://merchant.example.invalid"
],
"primaryCameraName": "Sony 4K Ultra HD WebCam",
"primaryMicrophoneName": "tel_demo_contact",
"primarySpeakerName": "Bose-Mega-Speaker 2.0",
"additionalCameras": [
{
"camera": "camera-2",
"microphone": "tel_demo_contact"
},
{
"camera": "camera-3",
"microphone": "tel_demo_contact"
}
]
}
{
"type": "object",
"properties": {
"data": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"status": {
"type": "string"
}
}
},
"requestId": {
"type": "string"
}
}
}{
"data": {
"id": "id_demo_001",
"status": "available"
},
"requestId": "req_demo_001"
}
invalid_requestThe request did not satisfy the documented contract.
authentication_requiredThe credential is missing or invalid.
not_authorizedThe account, product scope, permission, or origin is not eligible.
not_foundThe requested public or account-owned resource was not found.
rate_limitedRetry after the current product limit resets.
This operation is published from reviewed repository contracts. Source metadata is included for traceability without exposing internal implementation details.